Get Single Virtual Account
curl --request GET \
--url https://api.payvessel.com/pms/api/external/request/virtual-account/{businessid}/{account}/ \
--header 'api-key: <api-key>' \
--header 'api-secret: <api-secret>'import requests
url = "https://api.payvessel.com/pms/api/external/request/virtual-account/{businessid}/{account}/"
headers = {
"api-key": "<api-key>",
"api-secret": "<api-secret>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'api-key': '<api-key>', 'api-secret': '<api-secret>'}};
fetch('https://api.payvessel.com/pms/api/external/request/virtual-account/{businessid}/{account}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"bankCode": "120001",
"bankName": "9Payment Service Bank",
"accountNumber": "53663632517",
"accountName": "ADE OLA",
"account_type": "STATIC",
"expire_date": null,
"trackingReference": "DdGJDGJGJUGYF1038YKXAOE"
}{
"error": 123,
"message": "<string>"
}{
"error": 123,
"message": "<string>"
}{
"error": 123,
"message": "<string>"
}{
"error": 123,
"message": "<string>"
}Virtual Accounts
Get Virtual Account
Fetch details of a specific virtual account using its business ID and account number.
GET
/
pms
/
api
/
external
/
request
/
virtual-account
/
{businessid}
/
{account}
/
Get Single Virtual Account
Headers
Your Payvessel public API key
Your Payvessel secret
Path Parameters
Merchant business ID associated with the virtual account
Virtual account number to retrieve
Response
Virtual account retrieved successfully
Partner bank code associated with the account
Partner bank name
Virtual account number
Account name assigned to the customer
Virtual account type
Available options:
STATIC, DYNAMIC Tracking reference for payments made to this account
Expiration date for dynamic accounts; null for static accounts
